<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: sunsensor.FineSunSensor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classsunsensor_1_1_fine_sun_sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classsunsensor_1_1_fine_sun_sensor-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">sunsensor.FineSunSensor Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for sunsensor.FineSunSensor:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classsunsensor_1_1_fine_sun_sensor.png" usemap="#sunsensor.FineSunSensor_map" alt=""/>
  <map id="sunsensor.FineSunSensor_map" name="sunsensor.FineSunSensor_map">
<area href="classsunsensor_1_1_sunsensor.html" alt="sunsensor.Sunsensor" shape="rect" coords="0,112,161,136"/>
<area href="class_sensor_1_1_sensor.html" alt="Sensor.Sensor" shape="rect" coords="0,56,161,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a92cf4079fa6994c22dedb86e7b72939c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a92cf4079fa6994c22dedb86e7b72939c">__init__</a> (self, str <a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, str <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a17852906d3e2e4dee21653b3a290aa36">database</a>, int <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a65efa3a4ca173cea66ffd42229677669">mode</a>, <a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a>, float <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#aa5cdf5b8ff483170193dbc62818296a9">accuracy</a>, float <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a1191aac5ac594ff4957212c57b8893aa">precision</a>, int <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a62694928d2fbbf7b1a449e6308e88dbe">fov</a>, float <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af6798357d9b2e95c9bdbf7877c2130cb">max_current</a>, float <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#ad0b1050697d4bdcced96dd89fc55c809">sampling_rate</a>, bool <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a0deebac6e8f171bc7ba7e75f791b89e9">digital</a>=False, bool <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af43bf2dc117ed4db49ec3e8a1da9d75b">active</a>=True)</td></tr>
<tr class="separator:a92cf4079fa6994c22dedb86e7b72939c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68cd494eda7ab7bd6019bc13b41c28a3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a68cd494eda7ab7bd6019bc13b41c28a3">get_fine_current_noise</a> (self, current_ideal)</td></tr>
<tr class="separator:a68cd494eda7ab7bd6019bc13b41c28a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa235d558aed8e938a5628561b8c2e1e7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#aa235d558aed8e938a5628561b8c2e1e7">measure_fine_sun_sensor_angles</a> (self, sat_to_sun, <a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a>)</td></tr>
<tr class="separator:aa235d558aed8e938a5628561b8c2e1e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17fe02dfaaa13ff8032a8b685b215592"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a17fe02dfaaa13ff8032a8b685b215592">output</a> (self, float sim_time)</td></tr>
<tr class="separator:a17fe02dfaaa13ff8032a8b685b215592"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf373e04e327e45fda75325dfb1832bd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#abf373e04e327e45fda75325dfb1832bd">run</a> (self)</td></tr>
<tr class="separator:abf373e04e327e45fda75325dfb1832bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classsunsensor_1_1_sunsensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classsunsensor_1_1_sunsensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classsunsensor_1_1_sunsensor.html">sunsensor.Sunsensor</a></td></tr>
<tr class="memitem:a19a1fced1a8c1c4b2dc2ecdc13ba96af inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_sunsensor.html#a19a1fced1a8c1c4b2dc2ecdc13ba96af">satellite_to_sun</a> (self, sim_time, bool commit=True)</td></tr>
<tr class="separator:a19a1fced1a8c1c4b2dc2ecdc13ba96af inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05102a98b2bdd206f0576e4ae607e6ce inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_sunsensor.html#a05102a98b2bdd206f0576e4ae607e6ce">is_side_in_sun</a> (self, <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, sat_to_sun)</td></tr>
<tr class="separator:a05102a98b2bdd206f0576e4ae607e6ce inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80359f68c0730a4f78c7603f5d600316 inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_sunsensor.html#a80359f68c0730a4f78c7603f5d600316">compute_sunvector_from_photo_currents</a> (self, sim_time, photo_currents)</td></tr>
<tr class="separator:a80359f68c0730a4f78c7603f5d600316 inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a421adae2f9008510a818ed9e629803c3 inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_sunsensor.html#a421adae2f9008510a818ed9e629803c3">compute_sunvector_from_photo_currents_alternative</a> (self, sim_time, photo_currents)</td></tr>
<tr class="separator:a421adae2f9008510a818ed9e629803c3 inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">check_parameter_update</a> (self)</td></tr>
<tr class="separator:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a62694928d2fbbf7b1a449e6308e88dbe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a62694928d2fbbf7b1a449e6308e88dbe">fov</a></td></tr>
<tr class="separator:a62694928d2fbbf7b1a449e6308e88dbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6798357d9b2e95c9bdbf7877c2130cb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af6798357d9b2e95c9bdbf7877c2130cb">max_current</a></td></tr>
<tr class="separator:af6798357d9b2e95c9bdbf7877c2130cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af43bf2dc117ed4db49ec3e8a1da9d75b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af43bf2dc117ed4db49ec3e8a1da9d75b">active</a></td></tr>
<tr class="separator:af43bf2dc117ed4db49ec3e8a1da9d75b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0deebac6e8f171bc7ba7e75f791b89e9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a0deebac6e8f171bc7ba7e75f791b89e9">digital</a></td></tr>
<tr class="separator:a0deebac6e8f171bc7ba7e75f791b89e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65efa3a4ca173cea66ffd42229677669"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a65efa3a4ca173cea66ffd42229677669">mode</a></td></tr>
<tr class="separator:a65efa3a4ca173cea66ffd42229677669"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17852906d3e2e4dee21653b3a290aa36"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a17852906d3e2e4dee21653b3a290aa36">database</a></td></tr>
<tr class="separator:a17852906d3e2e4dee21653b3a290aa36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5cdf5b8ff483170193dbc62818296a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#aa5cdf5b8ff483170193dbc62818296a9">accuracy</a></td></tr>
<tr class="separator:aa5cdf5b8ff483170193dbc62818296a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1191aac5ac594ff4957212c57b8893aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a1191aac5ac594ff4957212c57b8893aa">precision</a></td></tr>
<tr class="separator:a1191aac5ac594ff4957212c57b8893aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0b1050697d4bdcced96dd89fc55c809"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#ad0b1050697d4bdcced96dd89fc55c809">sampling_rate</a></td></tr>
<tr class="separator:ad0b1050697d4bdcced96dd89fc55c809"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af65e95360d3a44ffb5f9ad5019abfb54"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#af65e95360d3a44ffb5f9ad5019abfb54">column_names</a></td></tr>
<tr class="separator:af65e95360d3a44ffb5f9ad5019abfb54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a></td></tr>
<tr class="separator:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a></td></tr>
<tr class="separator:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a></td></tr>
<tr class="separator:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a></td></tr>
<tr class="separator:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a></td></tr>
<tr class="separator:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a></td></tr>
<tr class="separator:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a></td></tr>
<tr class="separator:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a7709b892a731f2d22d89c7bb8d7bcedf">parameter_count</a></td></tr>
<tr class="separator:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a></td></tr>
<tr class="separator:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a92cf4079fa6994c22dedb86e7b72939c" name="a92cf4079fa6994c22dedb86e7b72939c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92cf4079fa6994c22dedb86e7b72939c">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.FineSunSensor.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>digital</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>outputs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>active</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>fov</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>max_current</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>digital</em> = <code>False</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>active</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Parameters and functions, that all sensors share

:param name: (string) name of the sensor
:param position: (numpy array, 3x1 x y z) position of the sensor in the satellite frame in m
:param orientation: (numpy array, 1x4 qi qj qk qr) orientation of the sensor in quaternions in the
                                                                                            satellite frame
:param database: (string, .db) name of the database to read/write from/in
:param digital: (bool) defines if the sensor is digital or analog
:param mode: (int) chooses between a different set of predefined parameter for the sensor
:param active: (Boolean) activates or deactivates the sensor
</pre> 
<p>Reimplemented from <a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">Sensor.Sensor</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a68cd494eda7ab7bd6019bc13b41c28a3" name="a68cd494eda7ab7bd6019bc13b41c28a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68cd494eda7ab7bd6019bc13b41c28a3">&#9670;&nbsp;</a></span>get_fine_current_noise()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.FineSunSensor.get_fine_current_noise </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>current_ideal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Returns gaussian noise as a function of output current.</pre> 
</div>
</div>
<a id="aa235d558aed8e938a5628561b8c2e1e7" name="aa235d558aed8e938a5628561b8c2e1e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa235d558aed8e938a5628561b8c2e1e7">&#9670;&nbsp;</a></span>measure_fine_sun_sensor_angles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.FineSunSensor.measure_fine_sun_sensor_angles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>sat_to_sun</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Assumes that orientation = normal vector of fine sun sensor in satellite frame
</pre> 
</div>
</div>
<a id="a17fe02dfaaa13ff8032a8b685b215592" name="a17fe02dfaaa13ff8032a8b685b215592"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17fe02dfaaa13ff8032a8b685b215592">&#9670;&nbsp;</a></span>output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.FineSunSensor.output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sim_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> returns fine sun sensor currents </pre> 
</div>
</div>
<a id="abf373e04e327e45fda75325dfb1832bd" name="abf373e04e327e45fda75325dfb1832bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf373e04e327e45fda75325dfb1832bd">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.FineSunSensor.run </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Starts the sensor.
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa5cdf5b8ff483170193dbc62818296a9" name="aa5cdf5b8ff483170193dbc62818296a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5cdf5b8ff483170193dbc62818296a9">&#9670;&nbsp;</a></span>accuracy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.accuracy</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af43bf2dc117ed4db49ec3e8a1da9d75b" name="af43bf2dc117ed4db49ec3e8a1da9d75b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af43bf2dc117ed4db49ec3e8a1da9d75b">&#9670;&nbsp;</a></span>active</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.active</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af65e95360d3a44ffb5f9ad5019abfb54" name="af65e95360d3a44ffb5f9ad5019abfb54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af65e95360d3a44ffb5f9ad5019abfb54">&#9670;&nbsp;</a></span>column_names</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.column_names</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17852906d3e2e4dee21653b3a290aa36" name="a17852906d3e2e4dee21653b3a290aa36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17852906d3e2e4dee21653b3a290aa36">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0deebac6e8f171bc7ba7e75f791b89e9" name="a0deebac6e8f171bc7ba7e75f791b89e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0deebac6e8f171bc7ba7e75f791b89e9">&#9670;&nbsp;</a></span>digital</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.digital</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a62694928d2fbbf7b1a449e6308e88dbe" name="a62694928d2fbbf7b1a449e6308e88dbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62694928d2fbbf7b1a449e6308e88dbe">&#9670;&nbsp;</a></span>fov</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.fov</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6798357d9b2e95c9bdbf7877c2130cb" name="af6798357d9b2e95c9bdbf7877c2130cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6798357d9b2e95c9bdbf7877c2130cb">&#9670;&nbsp;</a></span>max_current</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.max_current</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a65efa3a4ca173cea66ffd42229677669" name="a65efa3a4ca173cea66ffd42229677669"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65efa3a4ca173cea66ffd42229677669">&#9670;&nbsp;</a></span>mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.mode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1191aac5ac594ff4957212c57b8893aa" name="a1191aac5ac594ff4957212c57b8893aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1191aac5ac594ff4957212c57b8893aa">&#9670;&nbsp;</a></span>precision</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.precision</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad0b1050697d4bdcced96dd89fc55c809" name="ad0b1050697d4bdcced96dd89fc55c809"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0b1050697d4bdcced96dd89fc55c809">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.FineSunSensor.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="sunsensor_8py.html">sunsensor.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesunsensor.html">sunsensor</a></li><li class="navelem"><a class="el" href="classsunsensor_1_1_fine_sun_sensor.html">FineSunSensor</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
